Debian Bug report logs - #318798
New upstream release

version graph

Package: pdns-backend-ldap; Maintainer for pdns-backend-ldap is Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>; Source for pdns-backend-ldap is src:pdns.

Reported by: Moritz Muehlenhoff <jmm@inutil.org>

Date: Mon, 18 Jul 2005 10:34:46 UTC

Severity: important

Tags: confirmed, security

Found in version 2.9.17

Fixed in version pdns/2.9.17-13sarge1

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#318798; Package pdns-backend-ldap. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
New Bug report received and forwarded. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pdns-backend-ldap: Two security issues in LDAP backend
Date: Sun, 17 Jul 2005 21:10:07 +0200
Package: pdns-backend-ldap
Version: 2.9.17
Severity: important
Tags: security

2.9.18 fixes two security relevant issues in the LDAP backend:
Quoting Bert Hubert:

PowerDNS 2.9.18 fixes two bugs with security implications, which
only apply to installations running on the LDAP backend, or
installations providing recursion to a limited range of IP
addresses. If any of these apply to you, an upgrade is highly
advised.

Version 2.9.18 release notes are on:
http://doc.powerdns.com/changelog.html#CHANGELOG-2-9-18
Version 2.9.18 is available on:
http://www.powerdns.com/downloads/
Wiki, source, bugtracker: http://wiki.powerdns.com/
Security page: http://doc.powerdns.com/security-policy.html

Details:
    * The LDAP backend did not properly escape all queries,
      allowing it to fail and not answer questions. We have not
      investigated further risks involved, but we advise LDAP
      users to update as quickly as possible (Norbert Sendetzky,
      Jan de Groot)
    * Questions from clients denied recursion could blank out
      answers to clients who are allowed recursion services,
      temporarily. Reported by Wilco Baan. This would've made it
      possible for outsiders to blank out a domain temporarily to
      your users. Luckily PowerDNS would send out SERVFAIL or
      Refused, and not a denial of a domain's existence.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-rc5
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)



Changed Bug title. Request was from Christoph Haas <haas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Christoph Haas <haas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#318798; Package pdns-backend-ldap. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. Full text and rfc822 format available.

Message #14 received at 318798@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 318798@bugs.debian.org
Subject: CVE assignment
Date: Sat, 30 Jul 2005 00:14:57 -0400
[Message part 1 (text/plain, inline)]
Note that CAN numbers have been assigned for the security holes. They
are:

CAN-2005-2302 (denied recusion issue)
CAN-2005-2301 (LDAP backend issue)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@inutil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 318798-close@bugs.debian.org (full text, mbox):

From: Debian PowerDNS Maintainers <powerdns-debian@workaround.org>
To: 318798-close@bugs.debian.org
Subject: Bug#318798: fixed in pdns 2.9.18-1
Date: Sat, 30 Jul 2005 15:50:02 -0700
Source: pdns
Source-Version: 2.9.18-1

We believe that the bug you reported is fixed in the latest version of
pdns, which is due to be installed in the Debian FTP archive:

pdns-backend-geo_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-backend-geo_2.9.18-1_i386.deb
pdns-backend-ldap_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-backend-ldap_2.9.18-1_i386.deb
pdns-backend-mysql_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-backend-mysql_2.9.18-1_i386.deb
pdns-backend-pgsql_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-backend-pgsql_2.9.18-1_i386.deb
pdns-backend-pipe_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-backend-pipe_2.9.18-1_i386.deb
pdns-backend-sqlite_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-backend-sqlite_2.9.18-1_i386.deb
pdns-doc_2.9.18-1_all.deb
  to pool/main/p/pdns/pdns-doc_2.9.18-1_all.deb
pdns-recursor_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-recursor_2.9.18-1_i386.deb
pdns-server_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns-server_2.9.18-1_i386.deb
pdns_2.9.18-1.diff.gz
  to pool/main/p/pdns/pdns_2.9.18-1.diff.gz
pdns_2.9.18-1.dsc
  to pool/main/p/pdns/pdns_2.9.18-1.dsc
pdns_2.9.18-1_i386.deb
  to pool/main/p/pdns/pdns_2.9.18-1_i386.deb
pdns_2.9.18.orig.tar.gz
  to pool/main/p/pdns/pdns_2.9.18.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 318798@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Debian PowerDNS Maintainers <powerdns-debian@workaround.org> (supplier of updated pdns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 29 Jul 2005 20:24:33 +0200
Source: pdns
Binary: pdns-server pdns-backend-ldap pdns-backend-pipe pdns-backend-geo pdns-backend-mysql pdns-recursor pdns pdns-backend-pgsql pdns-backend-sqlite pdns-doc
Architecture: source i386 all
Version: 2.9.18-1
Distribution: unstable
Urgency: high
Maintainer: Debian PowerDNS Maintainers <powerdns-debian@workaround.org>
Changed-By: Debian PowerDNS Maintainers <powerdns-debian@workaround.org>
Description: 
 pdns       - meta package for the pdns nameserver
 pdns-backend-geo - geo backend for PowerDNS
 pdns-backend-ldap - LDAP backend for PowerDNS
 pdns-backend-mysql - generic mysql backend for PowerDNS
 pdns-backend-pgsql - generic PostgreSQL backend for PowerDNS
 pdns-backend-pipe - pipe/coprocess backend for PowerDNS
 pdns-backend-sqlite - sqlite backend for PowerDNS
 pdns-doc   - PowerDNS manual
 pdns-recursor - PowerDNS recursor
 pdns-server - extremely powerful and versatile nameserver
Closes: 318798
Changes: 
 pdns (2.9.18-1) unstable; urgency=high
 .
   * New upstream release (Closes: #318798)
   * Drop patches: 64bit-compile-fix.dpatch, addfeatures-ldapbackend.dpatch,
     amd64-compilefix.dpatch, blankout-domain-fix.dpatch,
     consistent-sql.dpatch, dosfix-ldapbackend.dpatch, fix-exit-status.dpatch,
     gpgsql-compilefix.dpatch, gsqlite-compilefix.dpatch, gsqlite-slave.dpatch,
     recursor-slowdown.patch.dpatch, typoinitscript.dpatch, zone2ldap.dpatch
     They are applied upstream.
   * The ldapbackend did not properly escape all queries, allowing it to fail
     and not answer questions. (CAN-2005-2301)
   * Questions from clients denied recursion could blank out answers to clients
     who are allowed recursion services, temporarily. (CAN-2005-2302)
Files: 
 391b6a859599ee262ce6e866ed195fb2 1023 net extra pdns_2.9.18-1.dsc
 813de528673be37183507eaf4de773a4 819855 net extra pdns_2.9.18.orig.tar.gz
 32f16e819b9a06f8737e73eabb4bea46 25128 net extra pdns_2.9.18-1.diff.gz
 c7d8ed51cec61e0cb5a71cbb1763550b 16438 net extra pdns_2.9.18-1_i386.deb
 b3ba266bf73671574b9182cce6c1d7d1 619750 net extra pdns-server_2.9.18-1_i386.deb
 d7ad8ddef49653965343f4b3d8759422 197178 net extra pdns-recursor_2.9.18-1_i386.deb
 279bf51df859e230bf65e147f4a7dc9b 68704 net extra pdns-backend-pipe_2.9.18-1_i386.deb
 667bb34bba9b4644c5dc646aa689c118 209708 net extra pdns-backend-ldap_2.9.18-1_i386.deb
 a8bbfd62f68164d901c22d5f70fbcec5 105832 net extra pdns-backend-geo_2.9.18-1_i386.deb
 86932ef8979c9b698655487132f57b27 94432 net extra pdns-backend-mysql_2.9.18-1_i386.deb
 29947b6d79421e93d00b335189d1d86a 69904 net extra pdns-backend-pgsql_2.9.18-1_i386.deb
 65fa8b6a8c1f1fcf1ccd43614fded313 66162 net extra pdns-backend-sqlite_2.9.18-1_i386.deb
 f83f40cda6f74801b4e2f9ee34431101 139184 doc extra pdns-doc_2.9.18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC6/pSCV53xXnMZYYRAhYnAKDpuMuD/udp58/mdRhpALYI9ZhJ7ACfcBVf
Qd03NAj4wcPPPJ5rMpG8LAI=
=/AKn
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PowerDNS Maintainers <powerdns-debian@workaround.org>:
Bug#318798; Package pdns-backend-ldap. Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian PowerDNS Maintainers <powerdns-debian@workaround.org>. Full text and rfc822 format available.

Message #24 received at 318798@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: control@bugs.debian.org, 318798@bugs.debian.org
Subject: Re: New upstream release
Date: Sun, 31 Jul 2005 09:39:42 +0200
[Message part 1 (text/plain, inline)]
reopen 318798
thanks

Bug still exists in Sarge, waiting for the security upload.
[signature.asc (application/pgp-signature, attachment)]

Bug reopened, originator not changed. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@inutil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 318798-done@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 318798-done@bugs.debian.org
Subject: Closing bug, using Version tracking.
Date: Sun, 31 Jul 2005 09:43:07 +0200
[Message part 1 (text/plain, inline)]
Version 2.9.18-1

Close the bug and use the version tracking.
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@inutil.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 318798-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 318798-close@bugs.debian.org
Subject: Bug#318798: fixed in pdns 2.9.17-13sarge1
Date: Mon, 01 Aug 2005 02:32:15 -0700
Source: pdns
Source-Version: 2.9.17-13sarge1

We believe that the bug you reported is fixed in the latest version of
pdns, which is due to be installed in the Debian FTP archive:

pdns-backend-geo_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-backend-geo_2.9.17-13sarge1_i386.deb
pdns-backend-ldap_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-backend-ldap_2.9.17-13sarge1_i386.deb
pdns-backend-mysql_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-backend-mysql_2.9.17-13sarge1_i386.deb
pdns-backend-pgsql_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-backend-pgsql_2.9.17-13sarge1_i386.deb
pdns-backend-pipe_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-backend-pipe_2.9.17-13sarge1_i386.deb
pdns-backend-sqlite_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-backend-sqlite_2.9.17-13sarge1_i386.deb
pdns-doc_2.9.17-13sarge1_all.deb
  to pool/main/p/pdns/pdns-doc_2.9.17-13sarge1_all.deb
pdns-recursor_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-recursor_2.9.17-13sarge1_i386.deb
pdns-server_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns-server_2.9.17-13sarge1_i386.deb
pdns_2.9.17-13sarge1.diff.gz
  to pool/main/p/pdns/pdns_2.9.17-13sarge1.diff.gz
pdns_2.9.17-13sarge1.dsc
  to pool/main/p/pdns/pdns_2.9.17-13sarge1.dsc
pdns_2.9.17-13sarge1_i386.deb
  to pool/main/p/pdns/pdns_2.9.17-13sarge1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 318798@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated pdns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Jul 2005 13:28:58 +0200
Source: pdns
Binary: pdns-server pdns-backend-ldap pdns-backend-pipe pdns-backend-geo pdns-backend-mysql pdns-recursor pdns pdns-backend-pgsql pdns-backend-sqlite pdns-doc
Architecture: source i386 all
Version: 2.9.17-13sarge1
Distribution: stable-security
Urgency: high
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 pdns       - meta package for the pdns nameserver
 pdns-backend-geo - geo backend for PowerDNS
 pdns-backend-ldap - LDAP backend for PowerDNS
 pdns-backend-mysql - generic mysql backend for PowerDNS
 pdns-backend-pgsql - generic PostgreSQL backend for PowerDNS
 pdns-backend-pipe - pipe/coprocess backend for PowerDNS
 pdns-backend-sqlite - sqlite backend for PowerDNS
 pdns-doc   - PowerDNS manual
 pdns-recursor - PowerDNS recursor
 pdns-server - extremely powerful and versatile nameserver
Closes: 318798
Changes: 
 pdns (2.9.17-13sarge1) stable-security; urgency=high
 .
   * The ldapbackend did not properly escape all queries, allowing it to fail
     and not answer questions. [dosfix-ldapbackend.dpatch, CAN-2005-2301]
   * Questions from clients denied recursion could blank out answers to clients
     who are allowed recursion services,
     temporarily. [blankout-domain-fix.dpatch, CAN-2005-2302]
     (Closes: #318798)
   * Added mechanism to remove bogus conffiles file for the meta package
     pdns [pdns.conffiles] (Joey)
Files: 
 0853a39aeb6b4d6c9ba001f364d842bc 1018 net extra pdns_2.9.17-13sarge1.dsc
 92489391182dc40012f1de7b2005ea93 782592 net extra pdns_2.9.17.orig.tar.gz
 4c0437b86c5e3ccbffa6838012dbaf74 29798 net extra pdns_2.9.17-13sarge1.diff.gz
 357a0624bcb110d7ce02f9a0b7bee292 16608 net extra pdns_2.9.17-13sarge1_i386.deb
 c58056c3059d5f71687dfd5b9bfa6585 572496 net extra pdns-server_2.9.17-13sarge1_i386.deb
 4ced59cd5fb6f8b7cbe7347ec86f7839 165408 net extra pdns-recursor_2.9.17-13sarge1_i386.deb
 d6360752c244fa6e454a1f46680888bc 64598 net extra pdns-backend-pipe_2.9.17-13sarge1_i386.deb
 bb6937448e929f7a4cf2f7a7d186b0f3 190228 net extra pdns-backend-ldap_2.9.17-13sarge1_i386.deb
 7ed515d665879bfde98865dc9e0b5e8c 105884 net extra pdns-backend-geo_2.9.17-13sarge1_i386.deb
 ef863523590f6cbdbcb261031afedbb4 85610 net extra pdns-backend-mysql_2.9.17-13sarge1_i386.deb
 a4e44140e9864c592f90570e75020c23 56046 net extra pdns-backend-pgsql_2.9.17-13sarge1_i386.deb
 13a2d22faf21717300407bdedb204309 51370 net extra pdns-backend-sqlite_2.9.17-13sarge1_i386.deb
 bedb1d7a9eece3f76de635c23b4535d7 134202 doc extra pdns-doc_2.9.17-13sarge1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC44tbW5ql+IAeqTIRAprjAKCNZe93fJ/h9/aspXQNDwV478U5RgCeO6bd
L1LyVgZnQWBhIgXJcpN5ic4=
=9eKM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 08:16:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:40:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.